Description

It would seem logical that when a DO is multiple (instanciable, with Omulti/Mmulti) in a LN when it is used "non statistic”,
then, the same DO is also allowed to be multiple (instanciable, with Omulti/Mmulti) when the LN is used as "statistic"

Example of our use case:

In a non statistical LN, the 2 instances of the DO represents 2 "real time" measures of the same thing :

e WGEN1.BrgTmp1
e WGEN1.BrgTmp2

And a statistical LN is used to represent the 10 min average values of the same measures

e stat WGEN1.BrgTmp1
e stat WGEN1.BrgTmp2

It would seen logical that when presCond allows multiple instanciation, it is also the case for dsPresCond.

Several examples were found when it is not the case in the standard :

IEC 61850-7-420:2021 © IEC 2021 — 265 -
SBAT

Data object | Common data class Explanation PresCond

name nds/ds
CelTmpMax | MV Maximum temperature of all cells in the battery o/oO
CelTmpMin MV Minimum temperature of all cells in the battery o/oO
IntnAmp MV Internal DC Battery current o/O
IntnTmp MV Internal battery temperature in degrees C Omulti / O
ExtTmp MV External battery temperature in degrees C o/0
ExtVol MV External battery DC voltage. o/oO
IntnVol MV Internal battery DC voltage. o/oO
IEC 61850-7-4:2010+AMD1:2020 CSV - 293 -
© |IEC 2020

subscribed by the allocated protection logical nodes. A diagram describing RREC operatior
principle is given in Annex G.

Table 150 shows all data objects of RREC.

Table 150 — Data objects of RREC

RREC

Data object Common data class T Explanation PresCond
name nds/ds

Descriptions

NamPIt LPL inherited from: DomainLN MONamPIt /
MONamPIt

Status information

TrBeh ENS Indicates whether next trip must be three-phase, or | O/ F
(TripBehaviourKind) the function can decide between the three-phase
and single-phase tripping (mostly resulting from
combination one of 'CycTrMod" and 'RecCyc').

RecCyc INS NMumber of the actual reclose cycle (1 to 'UseCyc’, 0/0
typically 3), or 0 if no autoreclosing is going on.

OpCls ACT T | If its 'general’ is true, the function decided to close M/F
circuit breaker (XCBR).

AutoRecSt ENS Current autoreclosing status. M/ F
(AutoReclosingKind)

Rec1PhCnt INS Counting how many single phase reclosing Omulti / O
operations are made in reclosing cycle 1 (2,3..)

Rec3iPhCnt INS Counting how many three phase reclosing Omulti / O
operations are made in reclosing cycle 1 (2,3...)

History

#1 - 09/24/2024 08:08 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes

#2 - 09/24/2024 08:39 AM - Carlos Rodriguez del Castillo

- Status changed from New to In Progress

We think it is a bug in the document generation, we have to investigate.

#3 - 09/24/2024 08:41 AM - Vladan Cvejic

- Assignee set to Thierry Dufaure

#4 - 09/24/2024 09:05 AM - Thierry Dufaure

jCleanCim has been updated to deal with ds presence condition. The strategy so far was to declare an "O" presence condition if the DataObject
isUsableForStatistics()

The isUsableForStatistics() solely checks the stereotype of the CDC. The <<statistics>> stereotypes is specified in the model during the CDC
definition.

A change in the j61850DocBuilder is necesary to apply a extended strategy for any "<X>multi" presence condition.
Note that this change would have a compatibility impact changing the O to Omulti <> the DataObject MUST have an instance number were it did not

with =.
The compatibility impact only the derived static logical node that are not widely used so far.
A tissue should be applied to any namespace that is impacted by the extended strategy: 7-4, 7-420, ...

#6 - 10/14/2024 03:30 AM - Thierry Dufaure

See discussion in #7017

#7 - 10/22/2024 08:15 AM - Carlos Rodriguez del Castillo
- Status changed from In Progress to Resolved

- Discuss in Upcoming Meeting changed from Yes to No

- Assigned TF UML modeling added

- Assigned TF deleted (None)
